<?php
 
 
 

namespace PhpWA\Protocol\Proto\VerifiedNameCertificate;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class Details extends \Google\Protobuf\Internal\Message
{
    


    protected $serial = null;
    


    protected $issuer = null;
    


    protected $verifiedName = null;
    


    private $localizedNames;
    


    protected $issueTime = null;

    












    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getSerial()
    {
        return isset($this->serial) ? $this->serial : 0;
    }

    public function hasSerial()
    {
        return isset($this->serial);
    }

    public function clearSerial()
    {
        unset($this->serial);
    }

    




    public function setSerial($var)
    {
        GPBUtil::checkUint64($var);
        $this->serial = $var;

        return $this;
    }

    



    public function getIssuer()
    {
        return isset($this->issuer) ? $this->issuer : '';
    }

    public function hasIssuer()
    {
        return isset($this->issuer);
    }

    public function clearIssuer()
    {
        unset($this->issuer);
    }

    




    public function setIssuer($var)
    {
        GPBUtil::checkString($var, True);
        $this->issuer = $var;

        return $this;
    }

    



    public function getVerifiedName()
    {
        return isset($this->verifiedName) ? $this->verifiedName : '';
    }

    public function hasVerifiedName()
    {
        return isset($this->verifiedName);
    }

    public function clearVerifiedName()
    {
        unset($this->verifiedName);
    }

    




    public function setVerifiedName($var)
    {
        GPBUtil::checkString($var, True);
        $this->verifiedName = $var;

        return $this;
    }

    



    public function getLocalizedNames()
    {
        return $this->localizedNames;
    }

    




    public function setLocalizedNames($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::MESSAGE, \PhpWA\Protocol\Proto\LocalizedName::class);
        $this->localizedNames = $arr;

        return $this;
    }

    



    public function getIssueTime()
    {
        return isset($this->issueTime) ? $this->issueTime : 0;
    }

    public function hasIssueTime()
    {
        return isset($this->issueTime);
    }

    public function clearIssueTime()
    {
        unset($this->issueTime);
    }

    




    public function setIssueTime($var)
    {
        GPBUtil::checkUint64($var);
        $this->issueTime = $var;

        return $this;
    }

}

